# Download Report Download Reports (PROJECT, AUDIT, NOTICES, CUSTOM_REPORT) for a given projectId. For ALL Reports we need to provide the id of the report. All project users including Observer, Reviewer and Analyst can download reports for private projects. If a task is in progress the response will be 202 and the status will be provided in the header for e.g(ACTIVE, SCHEDULED). Try it out is not available for this API. This API can be tested using conventional REST API clients such as postman or cURL. When calling this API from a REST client, you need to redirect output to a zip file as follows curl -X GET "http://HOST:PORT/codeinsight/api/projects/{projectId}/reports/{reportId}/download?taskId={taskId}" -H "accept: application/octet-stream" -H "Authorization: Bearer JWT_TOKEN" > report.zip Endpoint: GET /projects/{projectId}/reports/{reportId}/download Version: v1 Security: bearerAuth ## Path parameters: - `projectId` (integer, required) ID of the Project Example: 1 - `reportId` (integer, required) ID of the Report that is to be generated or downloaded Example: 1 ## Query parameters: - `taskId` (integer, required) ID of the Report Task that is to be downloaded Example: 1 ## Response 200 fields ## Response 202 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields